<?php

namespace App\View\Components;

use App\Models\ProgramAppends;
use Illuminate\View\Component;

class Append extends Component
{
    /**
     * @var ProgramAppends
     */
    public $append;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct(ProgramAppends $append)
    {
        $this->append = $append;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.append');
    }
}
